<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>Uses of Class Heroes.User.User</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="use: package: Heroes.User, class: User">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-use">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in Heroes.User">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1 title="Uses of Class Heroes.User.User" class="title">Uses of Class<br>Heroes.User.User</h1>
</div>
<div class="classUseContainer">
<div class="useSummary">
<table>
<caption><span>Packages that use <a href="../User.html" title="class in Heroes.User">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#Heroes">Heroes</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#Heroes.MenuInterface">Heroes.MenuInterface</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="classUses">
<ul class="blockList">
<li class="blockList">
<section class="detail"><a id="Heroes">
<!--   -->
</a>
<h2>Uses of <a href="../User.html" title="class in Heroes.User">User</a> in <a href="../../package-summary.html">Heroes</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../package-summary.html">Heroes</a> that return <a href="../User.html" title="class in Heroes.User">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../User.html" title="class in Heroes.User">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../Game.html#getUser()">getUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Get user user.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li class="blockList">
<section class="detail"><a id="Heroes.MenuInterface">
<!--   -->
</a>
<h2>Uses of <a href="../User.html" title="class in Heroes.User">User</a> in <a href="../../MenuInterface/package-summary.html">Heroes.MenuInterface</a></h2>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../MenuInterface/package-summary.html">Heroes.MenuInterface</a> that return <a href="../User.html" title="class in Heroes.User">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../User.html" title="class in Heroes.User">User</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Main.</span><code><span class="memberNameLink"><a href="../../MenuInterface/Main.html#getUser()">getUser</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets user.</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="useSummary">
<table>
<caption><span>Methods in <a href="../../MenuInterface/package-summary.html">Heroes.MenuInterface</a> with parameters of type <a href="../User.html" title="class in Heroes.User">User</a></span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">Main.</span><code><span class="memberNameLink"><a href="../../MenuInterface/Main.html#setUser(Heroes.User.User)">setUser</a></span>&#8203;(<a href="../User.html" title="class in Heroes.User">User</a>&nbsp;user)</code></th>
<td class="colLast">
<div class="block">Sets user.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../User.html" title="class in Heroes.User">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
